Summary: GTK widgets for Xfce
Name: libxfcegui4
Version: 4.6.1
Release: 1%{?dist}
License: LGPLv2+
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/xfce-%{version}/src/libxfcegui4-%{version}.tar.bz2
Patch0: %{name}-4.4.2-xfce-exec-use-thunar.patch
Patch1: libxfcegui4-4.6.0-keyboard-shortcuts.patch
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gtk2 >= 2.0.6
Requires: libxfce4util >= %{version}
BuildRequires: gtk2-devel >= 2.0.6
BuildRequires: libxfce4util-devel >= %{version}
BuildRequires: libxml2-devel >= 2.4.0
BuildRequires: gettext
BuildRequires: xfconf-devel
BuildRequires: startup-notification-devel
BuildRequires: libglade2-devel
BuildRequires: glade3-libgladeui-devel
BuildRequires: perl(XML::Parser)
BuildRequires: intltool
BuildRequires: libSM-devel

%description
The package includes various gtk widgets for Xfce.

%package devel
Summary: Development tools for libxfcegui4 library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: libxfce4util-devel
Requires: glade3-libgladeui-devel
Requires: pkgconfig
Requires: gtk-doc

%description devel
This package includes the static libraries and header files you will need
to compile applications for Xfce.

%prep
%setup -q
%patch0 -p1 -b .thunar
%patch1 -p1 -b .shortcut

%build
%configure --enable-xinerama --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/modules/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/*/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/glade3/*/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING 
%{_libdir}/lib*.so.*
%{_libdir}/libglade/*/lib*.so
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/apps/xfce-filemanager.svg
%{_sysconfdir}/xdg/xfce4

%files devel
%defattr(-, root,root,-)
%{_libdir}/lib*.so
%{_libdir}/glade3/modules/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/*
%doc %{_datadir}/gtk-doc/html/libxfcegui4/
%{_datadir}/glade3/catalogs/xfce4.xml
%{_datadir}/glade3/catalogs/xfce4.xml.in
%{_datadir}/glade3/pixmaps/hicolor/*/actions/*

%changelog
* Sun Apr 19 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.1-1
- Update to 4.6.1

* Mon Mar 02 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.0-3
- Patch to bring back missing keyboard shortcuts from Xfce 4.4
- Make devel package require glade3-libgladeui-devel, pkgconfig and gtk-doc
- Mark gtk-doc files as %%doc

* Fri Feb 27 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-2
- Add back in libSM-devel to BuildRequires

* Thu Feb 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-1
- Update to 4.6.0
- Remove some unneeded BuildRequires

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.99.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.99.1-1
- Update to 4.5.99.1

* Tue Jan 13 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.93-1
- Update to 4.5.93

* Sun Dec 21 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-1
- Update to 4.5.92

* Mon Oct 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 4.4.3-1
- Update to 4.4.3

* Fri Oct 03 2008 Christoph Wickert <cwickert@fedoraproject.org> - 4.4.2-3
- Make xfce-exec use Thunar

* Sun Feb 10 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-2
- Rebuild for gcc43

* Sun Nov 18 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-1
- Update to 4.4.2

* Sun Aug 26 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-3
- Update License tag

* Mon Apr 16 2007 Christoph Wickert <fedora@christoph-wickert.de> - 4.4.1-2
- Drop BuildRequires dbh-devel and intltool

* Wed Apr 11 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-1
- Upgrade to 4.4.1

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-1
- Upgrade to 4.4.0
- Add in new icons

* Thu Nov  9 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-1
- Upgrade to 4.3.99.2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-3
- Fix defattr

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-2
- Bump release for devel build

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-1
- Upgrade to 4.3.99.1
- Add doc files
- Remove useless Prereq
- Remove useless Provides: libxfcegui4-devel

* Sun Aug 27 2006 <kevin@tummy.com> - 4.2.3-6
- fix .so included in main package instead of devel. (#203629)

* Mon Jun  5 2006  <kevin@tummy.com> - 4.2.3-5
- Add gettext and intltool BuildRequires (fixes #194138)

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-4.fc5
- Rebuild for fc5

* Sun Jan 29 2006 Kevin Fenzi <kevin@scrye.com> - 4.2.3-3.fc5
- Add BuildRequires for modular xorg

* Thu Nov 10 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-2.fc4
- disable-static instead of removing .a files

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc4
- Update to 4.2.3
- Added dist tag
- Removed .la files. Fixes bug 172646
- Removed .a files. 

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.2-1.fc4
- Update to 4.2.2

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-4.fc4
- lowercase Release 

* Sat Mar 19 2005 Warren Togami <wtogami@redhat.com> - 4.2.1-3
- remove stuff, remove version from dbh-devel buildreq

* Wed Mar 16 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-2
- Fixed %%files bug that wasn't packaging .so files

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-3
- Fixed Xfce case

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-2
- Capitalized first letter of Summary in devel section to quiet rpmlint
- Added dbh-devel to BuildRequires
- Capitalized the GTK in the Summary to queit rpmlint
- Moved all the module *.a and *.la libraries to the devel package
- Added Provides: libxfcegui4-devel to devel package

* Sun Jan 23 2005 Than Ngo <than@redhat.com> 4.2.0-1
- update to 4.2.0

* Wed Dec 08 2004 Than Ngo <than@redhat.com> 4.1.99.1-1
- update to 4.2 rc1

* Mon Jul 19 2004 Than Ngo <than@redhat.com> 4.0.6-1
- update to 4.0.6

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Thu Mar 11 2004 Than Ngo <than@redhat.com> 4.0.3-4
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Fri Jan 09 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
